#!/usr/bin/python3

from PyQt6.QtCore import Qt
from PyQt6.QtWidgets import QDockWidget
from .library import Library


class LibraryDock(QDockWidget):
    def __init__(self, library, parent=None):
        super().__init__(parent)

        self.library = library

        self.setAcceptDrops(True)

        self.library_widget = Library(library, self)
        self.setWidget(self.library_widget)

